package com.cool.bang.modules.oracle.mapper;

import com.cool.bang.modules.oracle.domain.Areg;
import com.cool.bang.modules.oracle.domain.po.Bfxx;
import com.cool.bang.modules.oracle.domain.po.Jgxmjc;
import com.cool.bang.modules.oracle.domain.po.Jgyw;
import com.cool.bang.modules.oracle.domain.po.Jgztg;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ApplyMapper {

    /**
     * 查询监管开户业务信息
     * @return
     */
    List<Jgyw> selectJgkh();

    /**
     * 查询监管解除业务信息
     * @return
     */
    List<Jgyw> selectJgjc();

    /**
     * 监管资金转托管业务信息
     * @return
     */
    List<Jgztg> selectJgztg();

    /**
     * 查询拨付信息
     * @return
     */
    List<Bfxx> selectBfxx(@Param("apptype") Integer apptype, @Param("flowid") Integer flowid);

    /**
     * 监管项目解除
     * @return
     */
    List<Jgxmjc> selectJgxmjc();

    List<Areg> selectByXmbhFromAreg(String xmbh);
}
